[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: yum blew up python?



Dave Stevens wrote:
> [root localhost tmp]# rpm -q python python-elementtree yum
> python-2.4.3-9.FC5
> python-elementtree-1.2.6-7.fc3.rf
> yum-2.6.1-0.fc5

The .fc3 in the python-elementtree rpm is almost surely the culprit.

> well, I recently enabled rpmforge as a repo so presumably that's
> where it came from. can I use rpm to remove and reinstall yum?

Yum isn't the problem, the package from rpmforge is.  How did you
enable rpmforge on FC5?  I don't see any FC5 info on their site.  It
may be outdated, but it looks like they only support up through FC4.

You can download the python-elementtree package from any Fedora mirror
and use rpm to install it.

$ wget http://download.fedora.redhat.com/pub/fedora/linux/core/5/i386/os/Fedora/RPMS/python-elementtree-1.2.6-4.2.1.i386.rpm
$ rpm -K python-elementtree-1.2.6-4.2.1.i386.rpm # to verify the rpm
$ sudo rpm -Uvh --oldpackage python-elementtree-1.2.6-4.2.1.i386.rpm

(Skip the sudo if you're already root, of course.)

You should then check that you've got the rpmforge repo properly
configured.  If you're getting .fc3 packages, I think something is
wrong with either your config or theirs.  That needs to be fixed or
you're likely to have more problems.

-- 
Todd        OpenPGP -> KeyID: 0xBEAF0CE3 | URL: www.pobox.com/~tmz/pgp
======================================================================
Philosophy:  A route of many roads leading from nowhere to nothing.
    -- Ambrose Bierce

Attachment: pgpY40NPFVaAe.pgp
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]